const MessageManager = require("../MessageManager")
const PagerDevice = require("./Device")
const Str = require('@supercharge/strings')

class GenericTetra extends PagerDevice {
  constructor () {
    super()
    this.duplex = true
    this.name = "tetra-generic"
  }
  RandID() {
    return `TETRA${ Str.random(8) }`
  }
  async formatTX(msg) {
    msg.id = this.RandID()
    await MessageManager.BindMsg(msg)
    // return msg
  }
}
module.exports = GenericTetra